Module Util
    Public Const IFACE_NAME As String = "tenScripting4"
    Public hs4 As HomeSeer.PluginSdk.IHsController
    Public callback As HomeSeerAPI.IAppCallbackAPI
    Public Scripts As New SortedList(Of String, ScriptData)
    Public Exports As New SortedList(Of String, Specialized.StringCollection)
    Public ProjectFiles As New SortedList(Of String, String)
    Public theMainForm As tenScripting
    Friend sep As String = Chr(182)
    Friend qTriggers As New Queue(Of ScriptData)
    Friend ln As Long = 0
    Friend StartupComplete As Boolean = False
    Friend SavedLocation As String = My.Computer.FileSystem.SpecialDirectories.MyDocuments & "\tenScriptAid4Location.txt"
    Friend SavedLocation2 As String = My.Computer.FileSystem.SpecialDirectories.MyDocuments & "\tenHsEventsLocation.txt"
    Friend ExportForm As New frmScriptExport
    Friend FastExport As Boolean = False
    Friend ApiVersion As Double
    Friend HsConnected As Boolean = False
    Friend ScriptingReferenceDefined As Boolean = False
    Friend DebugFile As String
    Friend DebugWriter As System.IO.StreamWriter
    Friend VersionGreaterThan_4_1_13 As Boolean = False
End Module
